> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-checkpoint.md).

# CHECKPOINT

### CHECKPOINT

CHECKPOINT — force a write-ahead log checkpoint

### Synopsis

```

CHECKPOINT
```

### Description

A checkpoint is a point in the write-ahead log sequence at which all data files have been updated to reflect the information in the log. All data files will be flushed to disk. Refer to [Section 28.5](/server-administration/wal/wal-configuration.md) for more details about what happens during a checkpoint.

The `CHECKPOINT` command forces an immediate checkpoint when the command is issued, without waiting for a regular checkpoint scheduled by the system (controlled by the settings in [Section 19.5.2](/server-administration/runtime-config/runtime-config-wal.md#RUNTIME-CONFIG-WAL-CHECKPOINTS)). `CHECKPOINT` is not intended for use during normal operation.

If executed during recovery, the `CHECKPOINT` command will force a restartpoint (see [Section 28.5](/server-administration/wal/wal-configuration.md)) rather than writing a new checkpoint.

Only superusers or users with the privileges of the [pg\_checkpoint](/server-administration/user-manag/predefined-roles.md#PREDEFINED-ROLE-PG-CHECKPOINT) role can call `CHECKPOINT`.

### Compatibility

The `CHECKPOINT` command is a PostgreSQL language extension.

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-checkpoint.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-checkpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
